/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author developer2
 */
@Embeddable
public class TbpmprocessvariablesPK implements Serializable {

    @Basic(optional = false)
    @Column(name = "JOURNALID")
    private String journalid;
    @Basic(optional = false)
    @Column(name = "NAME")
    private String name;

    public TbpmprocessvariablesPK() {
    }

    public TbpmprocessvariablesPK(String journalid, String name) {
        this.journalid = journalid;
        this.name = name;
    }

    public String getJournalid() {
        return journalid;
    }

    public void setJournalid(String journalid) {
        this.journalid = journalid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (journalid != null ? journalid.hashCode() : 0);
        hash += (name != null ? name.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof TbpmprocessvariablesPK)) {
            return false;
        }
        TbpmprocessvariablesPK other = (TbpmprocessvariablesPK) object;
        if ((this.journalid == null && other.journalid != null) || (this.journalid != null && !this.journalid.equals(other.journalid))) {
            return false;
        }
        if ((this.name == null && other.name != null) || (this.name != null && !this.name.equals(other.name))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.TbpmprocessvariablesPK[ journalid=" + journalid + ", name=" + name + " ]";
    }
    
}
